Subject: How to share the same commits offline?

From: Tobias Sarnowski <[email-masked]>
Date: Fri, 29 Jun 2007 17:28:03 +0200

Hi,

I am very happy with git and I am using it now on every project I
develop, thanks Linus! My question is, how can I share objects with
another repository without a direct connection?

If I create patches with git-format-patch I am loosing the commit id
informations, so the copied tags loose their target too. I want to be
able to distribute changes by e-mail without loosing the sha1 ids. (Just
dump copying the .git/object files and updateing the .git/refs only
cause errors - I did not grab the source codes enough to understand the
connections)

Thanks,
Tobias Sarnowski